System.Web 2.0.0.0

Classes that implement the interface enable buttons to get a object that is used to create the correct postback event reference.

For more information about postback processing, see ASP.NET Web Server Control Event Model.

Controls that implement the interface should also implement the interface to handle events raised by contained buttons.

Defines a method that enables controls to obtain client-side script options.

- Method
  System.Web.UI.PostBackOptions `` To be added.

  Implementations of the method should configure a new instance with the information required for the method to construct a valid postback event reference, which, when executed on the client, initiates a postback.

  Returns the options required for a postback script for a specified button control.

  A object containing the options required to generate a postback script for .

  2.0.0.0